"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var prisma_lib_1 = require("prisma-client-lib");
var typeDefs = require("./prisma-schema").typeDefs;

var models = [
  {
    name: "User",
    embedded: false
  },
  {
    name: "Training",
    embedded: false
  },
  {
    name: "Block",
    embedded: false
  },
  {
    name: "Format",
    embedded: false
  },
  {
    name: "Track",
    embedded: false
  },
  {
    name: "Excersise",
    embedded: false
  },
  {
    name: "Rating",
    embedded: false
  },
  {
    name: "Comment",
    embedded: false
  }
];
exports.Prisma = prisma_lib_1.makePrismaClientClass({
  typeDefs,
  models,
  endpoint: `http://localhost:8846`
});
exports.prisma = new exports.Prisma();
